import java.awt.*;

public class Ball
{
	private int xLoc, yLoc, diameter;
	private int xStep, yStep;
	private Color ballColor;
	private final String[] STRING_COLORS={"red","yellow","blue","green","black","orange","cyan","magenta"};
	private final Color[] COLOR_COLORS={Color.red,Color.yellow,Color.blue,Color.green,Color.black,Color.orange,Color.cyan,Color.magenta};

	public Ball()
	{
		xLoc = 0;
		yLoc = 0;
		diameter = 8;
		xStep = 5;
		yStep = 7;
		ballColor = Color.black;
	}

	public Ball(int x, int y, String c)
	{
		xLoc = x;
		yLoc = y;
		diameter = 8;
		xStep = 5;
		yStep = 7;
		Color selectedColor=Color.gray;
		for (int i=0;i<STRING_COLORS.length;i++)
			if (STRING_COLORS[i].equals(c))
				selectedColor=COLOR_COLORS[i];
		ballColor = selectedColor;
	}


	public Ball(int x, int y, int d, int xMove, int yMove, String c)
	{
		xLoc = x;
		yLoc = y;
		diameter = d;
		xStep = xMove;
		yStep = yMove;
		Color selectedColor=Color.gray;
		for (int i=0;i<STRING_COLORS.length;i++)
			if (STRING_COLORS[i].equals(c))
				selectedColor=COLOR_COLORS[i];
		ballColor = selectedColor;
	}

	public int getX()
	{
		return xLoc;
	}

	public int getY()
	{
		return yLoc;
	}

	public void setColor(String c)
	{
		Color selectedColor=Color.gray;
		for (int i=0;i<STRING_COLORS.length;i++)
			if (STRING_COLORS[i].equals(c))
				selectedColor=COLOR_COLORS[i];
		ballColor = selectedColor;
	}

	public String getColor()
	{
		for (int i=0;i<COLOR_COLORS.length;i++)
			if (COLOR_COLORS[i].equals(ballColor))
				return STRING_COLORS[i];
		return "gray";
	}


	public int getDiameter() {
		return diameter;
	}

	public void setDiameter(int diameter) {
		this.diameter = diameter;
	}

	public void paint(Graphics g)
	{
		g.setColor(ballColor);
		g.fillOval(xLoc, yLoc, diameter, diameter);
	}

	public void move()
	{
		int width=500;
		int height=500;
		xLoc += xStep;
		yLoc += yStep;

		//bounce off left and right
		if(xLoc <= 0 || xLoc >= width - diameter)
			xStep = -xStep;

		//bounce off top and bottom
		if(yLoc <= 0 || yLoc >= height - diameter)
			yStep = - yStep;
	}

}
